part of 'communities_tree_selection_bloc.dart';

sealed class CommunitiesTreeSelectionEvent extends Equatable {
  const CommunitiesTreeSelectionEvent();

  @override
  List<Object?> get props => [];
}

final class SelectCommunityEvent extends CommunitiesTreeSelectionEvent {
  final CommunityModel? community;

  const SelectCommunityEvent({required this.community});
  @override
  List<Object?> get props => [community];
}

final class SelectSpaceEvent extends CommunitiesTreeSelectionEvent {
  final SpaceModel? space;

  const SelectSpaceEvent({required this.space});

  @override
  List<Object?> get props => [space];
}

final class ClearCommunitiesTreeSelectionEvent
    extends CommunitiesTreeSelectionEvent {
  const ClearCommunitiesTreeSelectionEvent();
}
